Changeset 1946 for trunk/Clp/configure


Ignore:
Timestamp:
Apr 18, 2013 9:39:00 AM (6 years ago)
Author:
forrest
Message:

allow AMPL in Clp

Location:
trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk

    • Property svn:externals
      •  

        old new  
        11BuildTools        https://projects.coin-or.org/svn/BuildTools/stable/0.7
         2ThirdParty/ASL    https://projects.coin-or.org/svn/BuildTools/ThirdParty/ASL/stable/1.2
        23ThirdParty/Blas   https://projects.coin-or.org/svn/BuildTools/ThirdParty/Blas/stable/1.3
        34ThirdParty/Lapack https://projects.coin-or.org/svn/BuildTools/ThirdParty/Lapack/stable/1.4
         
        910CoinUtils         https://projects.coin-or.org/svn/CoinUtils/trunk/CoinUtils
        1011Osi               https://projects.coin-or.org/svn/Osi/trunk/Osi
        11 
  • trunk/Clp/configure

    r1938 r1946  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CLP_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINUTILS_LIBS COINUTILS_CFLAGS COINUTILS_DATA COINUTILS_DEPENDENCIES COINUTILS_LIBS_INSTALLED COINUTILS_CFLAGS_INSTALLED COINUTILS_DATA_INSTALLED CLPLIB_CFLAGS CLPLIB_LIBS CLPLIB_PCLIBS CLPLIB_PCREQUIRES CLPLIB_DEPENDENCIES CLPLIB_CFLAGS_INSTALLED CLPLIB_LIBS_INSTALLED COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE OSI_LIBS OSI_CFLAGS OSI_DATA OSI_DEPENDENCIES OSI_LIBS_INSTALLED OSI_CFLAGS_INSTALLED OSI_DATA_INSTALLED OSICLPLIB_CFLAGS OSICLPLIB_LIBS OSICLPLIB_PCLIBS OSICLPLIB_PCREQUIRES OSICLPLIB_DEPENDENCIES OSICLPLIB_CFLAGS_INSTALLED OSICLPLIB_LIBS_INSTALLED COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE COIN_HAS_ABC_TRUE COIN_HAS_ABC_FALSE AMDINCDIR AMDLIB COIN_HAS_AMD_TRUE COIN_HAS_AMD_FALSE CHOLMODINCDIR CHOLMODLIB COIN_HAS_CHOLMOD_TRUE COIN_HAS_CHOLMOD_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE MUMPS_LIBS MUMPS_CFLAGS MUMPS_DATA MUMPS_DEPENDENCIES MUMPS_LIBS_INSTALLED MUMPS_CFLAGS_INSTALLED MUMPS_DATA_INSTALLED COIN_HAS_MUMPS_TRUE COIN_HAS_MUMPS_FALSE ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS MPIF77 FLIBS BLAS_LIBS BLAS_CFLAGS BLAS_DATA BLAS_DEPENDENCIES BLAS_LIBS_INSTALLED BLAS_CFLAGS_INSTALLED BLAS_DATA_INSTALLED COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE COIN_HAS_WSMP_TRUE COIN_HAS_WSMP_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CLP_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINUTILS_LIBS COINUTILS_CFLAGS COINUTILS_DATA COINUTILS_DEPENDENCIES COINUTILS_LIBS_INSTALLED COINUTILS_CFLAGS_INSTALLED COINUTILS_DATA_INSTALLED CLPLIB_CFLAGS CLPLIB_LIBS CLPLIB_PCLIBS CLPLIB_PCREQUIRES CLPLIB_DEPENDENCIES CLPLIB_CFLAGS_INSTALLED CLPLIB_LIBS_INSTALLED COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE OSI_LIBS OSI_CFLAGS OSI_DATA OSI_DEPENDENCIES OSI_LIBS_INSTALLED OSI_CFLAGS_INSTALLED OSI_DATA_INSTALLED OSICLPLIB_CFLAGS OSICLPLIB_LIBS OSICLPLIB_PCLIBS OSICLPLIB_PCREQUIRES OSICLPLIB_DEPENDENCIES OSICLPLIB_CFLAGS_INSTALLED OSICLPLIB_LIBS_INSTALLED COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE COIN_HAS_ABC_TRUE COIN_HAS_ABC_FALSE AMDINCDIR AMDLIB COIN_HAS_AMD_TRUE COIN_HAS_AMD_FALSE CHOLMODINCDIR CHOLMODLIB COIN_HAS_CHOLMOD_TRUE COIN_HAS_CHOLMOD_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE MUMPS_LIBS MUMPS_CFLAGS MUMPS_DATA MUMPS_DEPENDENCIES MUMPS_LIBS_INSTALLED MUMPS_CFLAGS_INSTALLED MUMPS_DATA_INSTALLED COIN_HAS_MUMPS_TRUE COIN_HAS_MUMPS_FALSE ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS MPIF77 FLIBS BLAS_LIBS BLAS_CFLAGS BLAS_DATA BLAS_DEPENDENCIES BLAS_LIBS_INSTALLED BLAS_CFLAGS_INSTALLED BLAS_DATA_INSTALLED COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE COIN_HAS_WSMP_TRUE COIN_HAS_WSMP_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11721172  --with-blas-incdir directory with header files for using package Blas
    11731173  --with-blas-datadir directory with data files for using package Blas
     1174  --with-asl-lib linker flags for using package ASL
     1175  --with-asl-incdir directory with header files for using package ASL
     1176  --with-asl-datadir directory with data files for using package ASL
    11741177  --with-dot              use dot (from graphviz) when creating documentation
    11751178                          with doxygen if available; --without-dot to disable
     
    59945997*-*-irix6*)
    59955998  # Find out which ABI we are using.
    5996   echo '#line 5996 "configure"' > conftest.$ac_ext
     5999  echo '#line 5999 "configure"' > conftest.$ac_ext
    59976000  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    59986001  (eval $ac_compile) 2>&5
     
    71287131
    71297132# Provide some information about the compiler.
    7130 echo "$as_me:7130:" \
     7133echo "$as_me:7133:" \
    71317134     "checking for Fortran 77 compiler version" >&5
    71327135ac_compiler=`set X $ac_compile; echo $2`
     
    81958198   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81968199   -e 's:$: $lt_compiler_flag:'`
    8197    (eval echo "\"\$as_me:8197: $lt_compile\"" >&5)
     8200   (eval echo "\"\$as_me:8200: $lt_compile\"" >&5)
    81988201   (eval "$lt_compile" 2>conftest.err)
    81998202   ac_status=$?
    82008203   cat conftest.err >&5
    8201    echo "$as_me:8201: \$? = $ac_status" >&5
     8204   echo "$as_me:8204: \$? = $ac_status" >&5
    82028205   if (exit $ac_status) && test -s "$ac_outfile"; then
    82038206     # The compiler can only warn and ignore the option if not recognized
     
    84638466   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84648467   -e 's:$: $lt_compiler_flag:'`
    8465    (eval echo "\"\$as_me:8465: $lt_compile\"" >&5)
     8468   (eval echo "\"\$as_me:8468: $lt_compile\"" >&5)
    84668469   (eval "$lt_compile" 2>conftest.err)
    84678470   ac_status=$?
    84688471   cat conftest.err >&5
    8469    echo "$as_me:8469: \$? = $ac_status" >&5
     8472   echo "$as_me:8472: \$? = $ac_status" >&5
    84708473   if (exit $ac_status) && test -s "$ac_outfile"; then
    84718474     # The compiler can only warn and ignore the option if not recognized
     
    85678570   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85688571   -e 's:$: $lt_compiler_flag:'`
    8569    (eval echo "\"\$as_me:8569: $lt_compile\"" >&5)
     8572   (eval echo "\"\$as_me:8572: $lt_compile\"" >&5)
    85708573   (eval "$lt_compile" 2>out/conftest.err)
    85718574   ac_status=$?
    85728575   cat out/conftest.err >&5
    8573    echo "$as_me:8573: \$? = $ac_status" >&5
     8576   echo "$as_me:8576: \$? = $ac_status" >&5
    85748577   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    85758578   then
     
    1091210915  lt_status=$lt_dlunknown
    1091310916  cat > conftest.$ac_ext <<EOF
    10914 #line 10914 "configure"
     10917#line 10917 "configure"
    1091510918#include "confdefs.h"
    1091610919
     
    1101211015  lt_status=$lt_dlunknown
    1101311016  cat > conftest.$ac_ext <<EOF
    11014 #line 11014 "configure"
     11017#line 11017 "configure"
    1101511018#include "confdefs.h"
    1101611019
     
    1335613359   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1335713360   -e 's:$: $lt_compiler_flag:'`
    13358    (eval echo "\"\$as_me:13358: $lt_compile\"" >&5)
     13361   (eval echo "\"\$as_me:13361: $lt_compile\"" >&5)
    1335913362   (eval "$lt_compile" 2>conftest.err)
    1336013363   ac_status=$?
    1336113364   cat conftest.err >&5
    13362    echo "$as_me:13362: \$? = $ac_status" >&5
     13365   echo "$as_me:13365: \$? = $ac_status" >&5
    1336313366   if (exit $ac_status) && test -s "$ac_outfile"; then
    1336413367     # The compiler can only warn and ignore the option if not recognized
     
    1346013463   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1346113464   -e 's:$: $lt_compiler_flag:'`
    13462    (eval echo "\"\$as_me:13462: $lt_compile\"" >&5)
     13465   (eval echo "\"\$as_me:13465: $lt_compile\"" >&5)
    1346313466   (eval "$lt_compile" 2>out/conftest.err)
    1346413467   ac_status=$?
    1346513468   cat out/conftest.err >&5
    13466    echo "$as_me:13466: \$? = $ac_status" >&5
     13469   echo "$as_me:13469: \$? = $ac_status" >&5
    1346713470   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1346813471   then
     
    1503015033   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1503115034   -e 's:$: $lt_compiler_flag:'`
    15032    (eval echo "\"\$as_me:15032: $lt_compile\"" >&5)
     15035   (eval echo "\"\$as_me:15035: $lt_compile\"" >&5)
    1503315036   (eval "$lt_compile" 2>conftest.err)
    1503415037   ac_status=$?
    1503515038   cat conftest.err >&5
    15036    echo "$as_me:15036: \$? = $ac_status" >&5
     15039   echo "$as_me:15039: \$? = $ac_status" >&5
    1503715040   if (exit $ac_status) && test -s "$ac_outfile"; then
    1503815041     # The compiler can only warn and ignore the option if not recognized
     
    1513415137   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1513515138   -e 's:$: $lt_compiler_flag:'`
    15136    (eval echo "\"\$as_me:15136: $lt_compile\"" >&5)
     15139   (eval echo "\"\$as_me:15139: $lt_compile\"" >&5)
    1513715140   (eval "$lt_compile" 2>out/conftest.err)
    1513815141   ac_status=$?
    1513915142   cat out/conftest.err >&5
    15140    echo "$as_me:15140: \$? = $ac_status" >&5
     15143   echo "$as_me:15143: \$? = $ac_status" >&5
    1514115144   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1514215145   then
     
    1734117344   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1734217345   -e 's:$: $lt_compiler_flag:'`
    17343    (eval echo "\"\$as_me:17343: $lt_compile\"" >&5)
     17346   (eval echo "\"\$as_me:17346: $lt_compile\"" >&5)
    1734417347   (eval "$lt_compile" 2>conftest.err)
    1734517348   ac_status=$?
    1734617349   cat conftest.err >&5
    17347    echo "$as_me:17347: \$? = $ac_status" >&5
     17350   echo "$as_me:17350: \$? = $ac_status" >&5
    1734817351   if (exit $ac_status) && test -s "$ac_outfile"; then
    1734917352     # The compiler can only warn and ignore the option if not recognized
     
    1760917612   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1761017613   -e 's:$: $lt_compiler_flag:'`
    17611    (eval echo "\"\$as_me:17611: $lt_compile\"" >&5)
     17614   (eval echo "\"\$as_me:17614: $lt_compile\"" >&5)
    1761217615   (eval "$lt_compile" 2>conftest.err)
    1761317616   ac_status=$?
    1761417617   cat conftest.err >&5
    17615    echo "$as_me:17615: \$? = $ac_status" >&5
     17618   echo "$as_me:17618: \$? = $ac_status" >&5
    1761617619   if (exit $ac_status) && test -s "$ac_outfile"; then
    1761717620     # The compiler can only warn and ignore the option if not recognized
     
    1771317716   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1771417717   -e 's:$: $lt_compiler_flag:'`
    17715    (eval echo "\"\$as_me:17715: $lt_compile\"" >&5)
     17718   (eval echo "\"\$as_me:17718: $lt_compile\"" >&5)
    1771617719   (eval "$lt_compile" 2>out/conftest.err)
    1771717720   ac_status=$?
    1771817721   cat out/conftest.err >&5
    17719    echo "$as_me:17719: \$? = $ac_status" >&5
     17722   echo "$as_me:17722: \$? = $ac_status" >&5
    1772017723   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1772117724   then
     
    2501525018
    2501625019# Provide some information about the compiler.
    25017 echo "$as_me:25017:" \
     25020echo "$as_me:25020:" \
    2501825021     "checking for Fortran 77 compiler version" >&5
    2501925022ac_compiler=`set X $ac_compile; echo $2`
     
    2558425587ac_save_FFLAGS=$FFLAGS
    2558525588FFLAGS="$FFLAGS $ac_verb"
    25586 (eval echo $as_me:25586: \"$ac_link\") >&5
     25589(eval echo $as_me:25589: \"$ac_link\") >&5
    2558725590ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2558825591echo "$ac_f77_v_output" >&5
     
    2566225665ac_save_FFLAGS=$FFLAGS
    2566325666FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    25664 (eval echo $as_me:25664: \"$ac_link\") >&5
     25667(eval echo $as_me:25667: \"$ac_link\") >&5
    2566525668ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2566625669echo "$ac_f77_v_output" >&5
     
    2988029883#                             Other dependencies                            #
    2988129884#############################################################################
     29885# Ampl Solver library
     29886
     29887echo "$as_me:$LINENO: checking for COIN-OR package ASL" >&5
     29888echo $ECHO_N "checking for COIN-OR package ASL... $ECHO_C" >&6
     29889
     29890coin_has_asl=notGiven
     29891
     29892# check if user wants to skip package in any case
     29893if test x"$COIN_SKIP_PROJECTS" != x; then
     29894  for dir in $COIN_SKIP_PROJECTS; do
     29895    if test $dir = "ASL"; then
     29896      coin_has_asl=skipping
     29897    fi
     29898  done
     29899fi
     29900
     29901if test "$coin_has_asl" != skipping; then
     29902
     29903# Check whether --with-m4_tolower(ASL) or --without-m4_tolower(ASL) was given.
     29904if test "${with_asl+set}" = set; then
     29905  withval="$with_asl"
     29906  if test "$withval" = no ; then
     29907       coin_has_asl=skipping
     29908     fi
     29909
     29910fi;
     29911fi
     29912
     29913ASL_LIBS=
     29914ASL_CFLAGS=
     29915ASL_DATA=
     29916ASL_DEPENDENCIES=
     29917ASL_PCLIBS=
     29918ASL_PCREQUIRES=
     29919ASL_DATA=
     29920
     29921
     29922
     29923
     29924
     29925
     29926
     29927
     29928
     29929
     29930
     29931
     29932
     29933
     29934
     29935
     29936
     29937#check if user provided LIBS, CFLAGS, or DATA for package or disables use of package
     29938if test $coin_has_asl != skipping; then
     29939
     29940# Check whether --with-m4_tolower(ASL)-lib or --without-m4_tolower(ASL)-lib was given.
     29941if test "${with_asl_lib+set}" = set; then
     29942  withval="$with_asl_lib"
     29943  if test "$withval" = no ; then
     29944       coin_has_asl=skipping
     29945     else
     29946       coin_has_asl=yes
     29947       ASL_LIBS="$withval"
     29948       ASL_PCLIBS="$withval"
     29949
     29950         CLPLIB_PCLIBS="$withval $CLPLIB_PCLIBS"
     29951         CLPLIB_LIBS="$withval $CLPLIB_LIBS"
     29952
     29953       # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
     29954       if test -z "$PKG_CONFIG" ; then
     29955         ASL_LIBS_INSTALLED="$withval"
     29956         CLPLIB_LIBS_INSTALLED="$withval $CLPLIB_LIBS_INSTALLED"
     29957       fi
     29958     fi
     29959
     29960fi;
     29961fi
     29962
     29963if test $coin_has_asl != skipping; then
     29964
     29965# Check whether --with-m4_tolower(ASL)-incdir or --without-m4_tolower(ASL)-incdir was given.
     29966if test "${with_asl_incdir+set}" = set; then
     29967  withval="$with_asl_incdir"
     29968  if test "$withval" = no ; then
     29969       coin_has_asl=skipping
     29970     else
     29971       coin_has_asl=yes
     29972       ASL_CFLAGS="-I`${CYGPATH_W} $withval`"
     29973       CLPLIB_CFLAGS="-I`${CYGPATH_W} $withval` $CLPLIB_CFLAGS"
     29974       # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
     29975       if test -z "$PKG_CONFIG" ; then
     29976         ASL_CFLAGS_INSTALLED="$ASL_CFLAGS"
     29977         CLPLIB_CFLAGS_INSTALLED="$ASL_CFLAGS $CLPLIB_CFLAGS_INSTALLED"
     29978       fi
     29979     fi
     29980
     29981fi;
     29982fi
     29983
     29984if test $coin_has_asl != skipping; then
     29985
     29986# Check whether --with-m4_tolower(ASL)-datadir or --without-m4_tolower(ASL)-datadir was given.
     29987if test "${with_asl_datadir+set}" = set; then
     29988  withval="$with_asl_datadir"
     29989  if test "$withval" = no ; then
     29990       coin_has_asl=skipping
     29991     else
     29992       coin_has_asl=yes
     29993       ASL_DATA="$withval"
     29994       # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
     29995       if test -z "$PKG_CONFIG" ; then
     29996         ASL_DATA_INSTALLED="$withval"
     29997       fi
     29998     fi
     29999
     30000fi;
     30001fi
     30002
     30003if test $coin_has_asl = notGiven; then
     30004  if test -n "$PKG_CONFIG" ; then
     30005    # set search path for pkg-config
     30006    # need to export variable to be sure that the following pkg-config gets these values
     30007    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     30008    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH:$COIN_PKG_CONFIG_PATH_UNINSTALLED"
     30009    export PKG_CONFIG_PATH
     30010
     30011    # let pkg-config do it's magic
     30012
     30013
     30014
     30015if test -n "$PKG_CONFIG" ; then
     30016  if $PKG_CONFIG --exists "coinasl"; then
     30017    ASL_VERSIONS=`$PKG_CONFIG --modversion "coinasl" 2>/dev/null | tr '\n' ' '`
     30018     cflags=`$PKG_CONFIG --cflags "coinasl" 2>/dev/null`
     30019    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
     30020        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     30021        # but only do this if is not trivial
     30022    if test "$CYGPATH_W" != "echo" ; then
     30023      # need to put into brackets since otherwise autoconf replaces the brackets in the sed command
     30024      cflags=`echo $cflags | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     30025    fi
     30026    ASL_CFLAGS="$cflags"
     30027    ASL_LIBS=`$PKG_CONFIG --libs "coinasl" 2>/dev/null`
     30028    ASL_DATA=`$PKG_CONFIG --variable=datadir "coinasl" 2>/dev/null`
     30029     coin_has_asl=yes
     30030        echo "$as_me:$LINENO: result: yes: $ASL_VERSIONS" >&5
     30031echo "${ECHO_T}yes: $ASL_VERSIONS" >&6
     30032
     30033        # adjust linker flags for (i)cl compiler
     30034        # for the LIBS, we replace everything of the form "/somepath/name.lib" by "`$(CYGPATH_W) /somepath/`name.lib | sed -e s|\|/|g" (where we have to use excessive many \ to get the \ into the command line for cl)
     30035        if test x$coin_cxx_is_cl = xtrue || test x$coin_cc_is_cl = xtrue ;
     30036        then
     30037          ASL_LIBS=`echo " $ASL_LIBS " | sed -e 's/ \(\/[^ ]*\/\)\([^ ]*\)\.lib / \`$(CYGPATH_W) \1 | sed -e "s|\\\\\\\\\\\\\\\\\\\\|\/|g"\`\2.lib /g'`
     30038        fi
     30039        ASL_PCREQUIRES="coinasl"
     30040
     30041        # augment X_PCREQUIRES, X_CFLAGS, and X_LIBS for each build target X in ClpLib
     30042
     30043          CLPLIB_PCREQUIRES="coinasl $CLPLIB_PCREQUIRES"
     30044          CLPLIB_CFLAGS="$ASL_CFLAGS $CLPLIB_CFLAGS"
     30045          CLPLIB_LIBS="$ASL_LIBS $CLPLIB_LIBS"
     30046
     30047
     30048
     30049  else
     30050    ASL_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinasl"`
     30051      coin_has_asl=notGiven
     30052        echo "$as_me:$LINENO: result: not given: $ASL_PKG_ERRORS" >&5
     30053echo "${ECHO_T}not given: $ASL_PKG_ERRORS" >&6
     30054
     30055  fi
     30056else
     30057  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module ASL without pkg-config\"" >&5
     30058echo "$as_me: error: \"Cannot check for existance of module ASL without pkg-config\"" >&2;}
     30059   { (exit 1); exit 1; }; }
     30060fi
     30061
     30062
     30063
     30064
     30065    # reset PKG_CONFIG_PATH variable
     30066    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     30067    export PKG_CONFIG_PATH
     30068
     30069  else
     30070    echo "$as_me:$LINENO: result: skipped check via pkg-config, redirect to fallback" >&5
     30071echo "${ECHO_T}skipped check via pkg-config, redirect to fallback" >&6
     30072
     30073echo "$as_me:$LINENO: checking for COIN-OR package ASL (fallback)" >&5
     30074echo $ECHO_N "checking for COIN-OR package ASL (fallback)... $ECHO_C" >&6
     30075
     30076coin_has_asl=notGiven
     30077ASL_LIBS=
     30078ASL_LIBS_INSTALLED=
     30079ASL_CFLAGS=
     30080ASL_CFLAGS_INSTALLED=
     30081ASL_DATA=
     30082ASL_DATA_INSTALLED=
     30083ASL_PCLIBS=
     30084ASL_PCREQUIRES=
     30085
     30086# initial list of dependencies is "coinasl", but we need to filter out version number specifications (= x, <= x, >= x, != x)
     30087projtoprocess="coinasl"
     30088
     30089# we first expand the list of projects to process by adding all dependencies just behind the project which depends on it
     30090# further, we collect the list of corresponding .pc files, but do this in reverse order, because we need this order afterwards
     30091# the latter we also do with .pc files corresponding to the installed projects, which will be needed to setup Makefiles for examples
     30092# also, we setup the DATA variable
     30093allproj=""
     30094allpcfiles=""
     30095allpcifiles=""
     30096while test "x$projtoprocess" != x ; do
     30097
     30098  for proj in $projtoprocess ; do
     30099    # if $proj is available and configured, then a project-uninstalled.pc file should have been created, so search for it
     30100    pcfile=""
     30101    save_IFS="$IFS"
     30102    IFS=":"
     30103    for dir in $COIN_PKG_CONFIG_PATH_UNINSTALLED ; do
     30104      # the base directory configure should have setup coin_subdirs.txt in a way that it does not contain projects that should be skipped, so we do not need to test this here again
     30105      if test -r "$dir/${proj}-uninstalled.pc" ; then
     30106        pcfile="$dir/$proj-uninstalled.pc"
     30107        if test -r "$dir/${proj}.pc" ; then
     30108          pcifile="$dir/${proj}.pc"
     30109        else
     30110          { echo "$as_me:$LINENO: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&5
     30111echo "$as_me: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&2;}
     30112          pcifile=
     30113        fi
     30114        break
     30115      fi
     30116    done
     30117    IFS="$save_IFS"
     30118
     30119    if test "x$pcfile" != x ; then
     30120      # read dependencies from $pcfile and filter it
     30121      projrequires=`sed -n -e 's/Requires://gp' "$pcfile" | sed -e 's/<\{0,1\}>\{0,1\}=[        ]\{0,\}[^       ]\{1,\}//g'`
     30122
     30123      # add projrequires to the front of the list of projects that have to be processed next
     30124      # at the same time, remove $proj from this list
     30125      projtoprocess=`echo $projtoprocess | sed -e "s/$proj/$projrequires/"`
     30126
     30127      # read DATA from $pcfile, if _DATA is still empty
     30128      if test "x$ASL_DATA" = x ; then
     30129        projdatadir=
     30130        pcfilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcfile`
     30131        eval `sh -c "$pcfilemod"`
     30132        ASL_DATA="$projdatadir"
     30133      fi
     30134
     30135      allproj="$allproj $proj"
     30136      allpcfiles="$pcfile:$allpcfiles"
     30137
     30138    else
     30139      echo "$as_me:$LINENO: result: no, dependency $proj not available" >&5
     30140echo "${ECHO_T}no, dependency $proj not available" >&6
     30141      allproj=fail
     30142      break 2
     30143    fi
     30144
     30145    if test "x$pcifile" != x ; then
     30146      allpcifiles="$pcifile:$allpcifiles"
     30147
     30148      # read DATA_INSTALLED from $pcifile, if _DATA_INSTALLED is still empty
     30149      if test "x$ASL_DATA_INSTALLED" = x ; then
     30150        projdatadir=
     30151        pcifilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcifile`
     30152        eval `sh -c "$pcifilemod"`
     30153        if test "${CYGPATH_W}" != "echo"; then
     30154          projdatadir="\`\$(CYGPATH_W) ${projdatadir} | sed -e 's/\\\\\\\\/\\\\\\\\\\\\\\\\/g'\`"
     30155        fi
     30156        ASL_DATA_INSTALLED="$projdatadir"
     30157      fi
     30158
     30159    fi
     30160
     30161    break
     30162  done
     30163
     30164  # remove spaces on begin of $projtoprocess
     30165  projtoprocess=`echo $projtoprocess | sed -e 's/^ *//'`
     30166
     30167done
     30168
     30169if test "$allproj" != fail ; then
     30170
     30171  # now go through the list of .pc files and assemble compiler and linker flags
     30172  # important is here to obey the reverse order that has been setup before,
     30173  # since then libraries that are required by several others should be after these other libraries
     30174  pcfilesprocessed=""
     30175
     30176  save_IFS="$IFS"
     30177  IFS=":"
     30178  for pcfile in $allpcfiles ; do
     30179
     30180    # if $pcfile has been processed already, skip this round
     30181    if test "x$pcfilesprocessed" != x ; then
     30182      for pcfiledone in $pcfilesprocessed ; do
     30183        if test "$pcfiledone" = "$pcfile" ; then
     30184          continue 2
     30185        fi
     30186      done
     30187    fi
     30188
     30189    # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
     30190    #   replace "Libs:" by "echo projlibs="
     30191    #   replace "Cflags:" by "echo projcflags="
     30192    #   remove every line starting with <some word>:
     30193    pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/^[a-zA-Z]*:/d' $pcfile`
     30194
     30195    # set projcflags and projlibs variables by running $pcfilemod
     30196    # under mingw, the current IFS seem to make the : in the paths of the gfortran libs go away, so we temporarily set IFS back to its default
     30197    projcflags=
     30198    projlibs=
     30199    IFS="$save_IFS"
     30200    eval `sh -c "$pcfilemod"`
     30201    IFS=":"
     30202
     30203    # add CYGPATH_W cludge into include flags and set CFLAGS variable
     30204    if test "${CYGPATH_W}" != "echo"; then
     30205      projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     30206    fi
     30207    ASL_CFLAGS="$projcflags $ASL_CFLAGS"
     30208
     30209    # set LIBS variable
     30210    ASL_LIBS="$projlibs $ASL_LIBS"
     30211
     30212    # remember that we have processed $pcfile
     30213    pcfilesprocessed="$pcfilesprocessed:$pcfile"
     30214
     30215  done
     30216  IFS="$save_IFS"
     30217
     30218
     30219  # now go through the list of .pc files for installed projects and assemble compiler and linker flags
     30220  # important is here again to obey the reverse order that has been setup before,
     30221  # since then libraries that are required by several others should be after these other libraries
     30222  pcfilesprocessed=""
     30223
     30224  save_IFS="$IFS"
     30225  IFS=":"
     30226  for pcfile in $allpcifiles ; do
     30227
     30228    # if $pcfile has been processed already, skip this round
     30229    if test "x$pcfilesprocessed" != x ; then
     30230      for pcfiledone in $pcfilesprocessed ; do
     30231        if test "$pcfiledone" = "$pcfile" ; then
     30232          continue 2
     30233        fi
     30234      done
     30235    fi
     30236
     30237    # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
     30238    #   replace "Libs:" by "echo projlibs="
     30239    #   replace "Cflags:" by "echo projcflags="
     30240    #   remove every line starting with <some word>:
     30241    pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/^[a-zA-Z]*:/d' $pcfile`
     30242
     30243    # set projcflags and projlibs variables by running $pcfilemod
     30244    # under mingw, the current IFS seem to make the : in the paths of the gfortran libs go away, so we temporarily set IFS back to its default
     30245    projcflags=
     30246    projlibs=
     30247    IFS="$save_IFS"
     30248    eval `sh -c "$pcfilemod"`
     30249    IFS=":"
     30250
     30251    # add CYGPATH_W cludge into include flags and set CFLAGS variable
     30252    if test "${CYGPATH_W}" != "echo"; then
     30253      projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     30254    fi
     30255    ASL_CFLAGS_INSTALLED="$projcflags $ASL_CFLAGS_INSTALLED"
     30256
     30257    # set LIBS variable
     30258    ASL_LIBS_INSTALLED="$projlibs $ASL_LIBS_INSTALLED"
     30259
     30260    # remember that we have processed $pcfile
     30261    pcfilesprocessed="$pcfilesprocessed:$pcfile"
     30262
     30263  done
     30264  IFS="$save_IFS"
     30265
     30266
     30267  # finish up
     30268  coin_has_asl=yes
     30269  echo "$as_me:$LINENO: result: yes" >&5
     30270echo "${ECHO_T}yes" >&6
     30271
     30272cat >>confdefs.h <<\_ACEOF
     30273#define COIN_HAS_ASL 1
     30274_ACEOF
     30275
     30276
     30277  # adjust linker flags for (i)cl compiler
     30278  # for the LIBS, we replace everything of the form "/somepath/name.lib" by "`$(CYGPATH_W) /somepath/`name.lib | sed -e s|\|/|g" (where we have to use excessive many \ to get the \ into the command line for cl),
     30279  # for the LIBS_INSTALLED, we replace everything of the form "/somepath/" by "`$(CYGPATH_W) /somepath/`",
     30280  #    everything of the form "-lname" by "libname.lib", and
     30281  #    everything of the form "-Lpath" by "-libpath:`$(CYGPATH_W) path`
     30282  if test x$coin_cxx_is_cl = xtrue || test x$coin_cc_is_cl = xtrue ;
     30283  then
     30284    ASL_LIBS=`echo " $ASL_LIBS " | sed -e 's/ \(\/[^ ]*\/\)\([^ ]*\)\.lib / \`$(CYGPATH_W) \1 | sed -e "s|\\\\\\\\\\\\\\\\\\\\|\/|g"\`\2.lib /g'`
     30285    ASL_LIBS_INSTALLED=`echo " $ASL_LIBS_INSTALLED" | sed -e 's/ \(\/[^ ]*\/\)/ \`$(CYGPATH_W) \1\`/g' -e 's/ -l\([^ ]*\)/ lib\1.lib/g' -e 's/ -L\([^ ]*\)/ -libpath:\`$(CYGPATH_W) \1\`/g'`
     30286  fi
     30287
     30288  ASL_PCREQUIRES="coinasl"
     30289
     30290    CLPLIB_PCREQUIRES="coinasl $CLPLIB_PCREQUIRES"
     30291    CLPLIB_CFLAGS="$ASL_CFLAGS $CLPLIB_CFLAGS"
     30292    CLPLIB_LIBS="$ASL_LIBS $CLPLIB_LIBS"
     30293    CLPLIB_CFLAGS_INSTALLED="$ASL_CFLAGS_INSTALLED $CLPLIB_CFLAGS_INSTALLED"
     30294    CLPLIB_LIBS_INSTALLED="$ASL_LIBS_INSTALLED $CLPLIB_LIBS_INSTALLED"
     30295
     30296
     30297fi
     30298
     30299
     30300
     30301if test $coin_has_asl != notGiven &&
     30302                test $coin_has_asl != skipping; then
     30303  COIN_HAS_ASL_TRUE=
     30304  COIN_HAS_ASL_FALSE='#'
     30305else
     30306  COIN_HAS_ASL_TRUE='#'
     30307  COIN_HAS_ASL_FALSE=
     30308fi
     30309
     30310
     30311
     30312  fi
     30313
     30314else
     30315  echo "$as_me:$LINENO: result: $coin_has_asl" >&5
     30316echo "${ECHO_T}$coin_has_asl" >&6
     30317fi
     30318
     30319if test $coin_has_asl != skipping &&
     30320   test $coin_has_asl != notGiven ; then
     30321
     30322cat >>confdefs.h <<\_ACEOF
     30323#define COIN_HAS_ASL 1
     30324_ACEOF
     30325
     30326
     30327  # Check whether --enable-interpackage-dependencies or --disable-interpackage-dependencies was given.
     30328if test "${enable_interpackage_dependencies+set}" = set; then
     30329  enableval="$enable_interpackage_dependencies"
     30330
     30331else
     30332  enable_interpackage_dependencies=yes
     30333fi;
     30334
     30335  if test $enable_interpackage_dependencies = yes ; then
     30336     # construct dependencies variables from LIBS variables
     30337     # we add an extra space in LIBS so we can substitute out everything starting with " -"
     30338     # remove everything of the form -framework xxx as used on Mac and mkl* and libiomp5* and wsock32.lib as used on Windows
     30339     # then remove everything of the form -xxx
     30340     # also remove everything of the form `xxx`yyy (may have been added for cygwin/cl)
     30341     ASL_DEPENDENCIES=`echo " $ASL_LIBS" | sed -e 's/ mkl[^ ]*//g' -e 's/ libiomp5[^ ]*//g' -e 's/ wsock32[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
     30342
     30343       CLPLIB_DEPENDENCIES=`echo " $CLPLIB_LIBS " | sed -e 's/ mkl[^ ]*//g' -e 's/ libiomp5[^ ]*//g' -e 's/ wsock32[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
     30344
     30345  fi
     30346
     30347  if test 1 = 0 ; then  #change this test to enable a bit of debugging output
     30348    if test -n "$ASL_CFLAGS" ; then
     30349      { echo "$as_me:$LINENO: ASL CFLAGS are $ASL_CFLAGS" >&5
     30350echo "$as_me: ASL CFLAGS are $ASL_CFLAGS" >&6;}
     30351    fi
     30352    if test -n "$ASL_LIBS" ; then
     30353      { echo "$as_me:$LINENO: ASL LIBS   are $ASL_LIBS" >&5
     30354echo "$as_me: ASL LIBS   are $ASL_LIBS" >&6;}
     30355    fi
     30356    if test -n "$ASL_DEPENDENCIES" ; then
     30357      { echo "$as_me:$LINENO: ASL DEPENDENCIES are $ASL_DEPENDENCIES" >&5
     30358echo "$as_me: ASL DEPENDENCIES are $ASL_DEPENDENCIES" >&6;}
     30359    fi
     30360    if test -n "$ASL_DATA" ; then
     30361      { echo "$as_me:$LINENO: ASL DATA   is  $ASL_DATA" >&5
     30362echo "$as_me: ASL DATA   is  $ASL_DATA" >&6;}
     30363    fi
     30364    if test -n "$ASL_PCLIBS" ; then
     30365      { echo "$as_me:$LINENO: ASL PCLIBS are $ASL_PCLIBS" >&5
     30366echo "$as_me: ASL PCLIBS are $ASL_PCLIBS" >&6;}
     30367    fi
     30368    if test -n "$ASL_PCREQUIRES" ; then
     30369      { echo "$as_me:$LINENO: ASL PCREQUIRES are $ASL_PCREQUIRES" >&5
     30370echo "$as_me: ASL PCREQUIRES are $ASL_PCREQUIRES" >&6;}
     30371    fi
     30372
     30373      { echo "$as_me:$LINENO: ClpLib CFLAGS are $CLPLIB_CFLAGS" >&5
     30374echo "$as_me: ClpLib CFLAGS are $CLPLIB_CFLAGS" >&6;}
     30375      { echo "$as_me:$LINENO: ClpLib LIBS   are $CLPLIB_LIBS" >&5
     30376echo "$as_me: ClpLib LIBS   are $CLPLIB_LIBS" >&6;}
     30377      { echo "$as_me:$LINENO: ClpLib DEPENDENCIES are $CLPLIB_DEPENDENCIES" >&5
     30378echo "$as_me: ClpLib DEPENDENCIES are $CLPLIB_DEPENDENCIES" >&6;}
     30379
     30380  fi
     30381fi
     30382
     30383# Define the Makefile conditional
     30384
     30385
     30386if test $coin_has_asl != notGiven &&
     30387                test $coin_has_asl != skipping; then
     30388  COIN_HAS_ASL_TRUE=
     30389  COIN_HAS_ASL_FALSE='#'
     30390else
     30391  COIN_HAS_ASL_TRUE='#'
     30392  COIN_HAS_ASL_FALSE=
     30393fi
     30394
     30395
     30396
    2988230397
    2988330398# Check whether --enable-gnu-packages or --disable-gnu-packages was given.
     
    3184032355Usually this means the macro was only invoked conditionally." >&5
    3184132356echo "$as_me: error: conditional \"COIN_HAS_WSMP\" was never defined.
     32357Usually this means the macro was only invoked conditionally." >&2;}
     32358   { (exit 1); exit 1; }; }
     32359fi
     32360if test -z "${COIN_HAS_ASL_TRUE}" && test -z "${COIN_HAS_ASL_FALSE}"; then
     32361  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_ASL\" was never defined.
     32362Usually this means the macro was only invoked conditionally." >&5
     32363echo "$as_me: error: conditional \"COIN_HAS_ASL\" was never defined.
     32364Usually this means the macro was only invoked conditionally." >&2;}
     32365   { (exit 1); exit 1; }; }
     32366fi
     32367if test -z "${COIN_HAS_ASL_TRUE}" && test -z "${COIN_HAS_ASL_FALSE}"; then
     32368  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_ASL\" was never defined.
     32369Usually this means the macro was only invoked conditionally." >&5
     32370echo "$as_me: error: conditional \"COIN_HAS_ASL\" was never defined.
    3184232371Usually this means the macro was only invoked conditionally." >&2;}
    3184332372   { (exit 1); exit 1; }; }
     
    3259733126s,@COIN_HAS_WSMP_TRUE@,$COIN_HAS_WSMP_TRUE,;t t
    3259833127s,@COIN_HAS_WSMP_FALSE@,$COIN_HAS_WSMP_FALSE,;t t
     33128s,@ASL_LIBS@,$ASL_LIBS,;t t
     33129s,@ASL_CFLAGS@,$ASL_CFLAGS,;t t
     33130s,@ASL_DATA@,$ASL_DATA,;t t
     33131s,@ASL_DEPENDENCIES@,$ASL_DEPENDENCIES,;t t
     33132s,@ASL_LIBS_INSTALLED@,$ASL_LIBS_INSTALLED,;t t
     33133s,@ASL_CFLAGS_INSTALLED@,$ASL_CFLAGS_INSTALLED,;t t
     33134s,@ASL_DATA_INSTALLED@,$ASL_DATA_INSTALLED,;t t
     33135s,@COIN_HAS_ASL_TRUE@,$COIN_HAS_ASL_TRUE,;t t
     33136s,@COIN_HAS_ASL_FALSE@,$COIN_HAS_ASL_FALSE,;t t
    3259933137s,@coin_have_doxygen@,$coin_have_doxygen,;t t
    3260033138s,@coin_doxy_usedot@,$coin_doxy_usedot,;t t
Note: See TracChangeset for help on using the changeset viewer.